org.eclipse.rdf4j.query.parser.serql.ast

## Class ASTPathExprTail

- java.lang.Object
- - org.eclipse.rdf4j.query.parser.serql.ast.SimpleNode
  - - org.eclipse.rdf4j.query.parser.serql.ast.ASTPathExprTail

- All Implemented Interfaces:
    Node
  Direct Known Subclasses:
    ASTBasicPathExprTail, ASTOptPathExprTail

      public abstract class ASTPathExprTail
      extends SimpleNode

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.parser.serql.ast.SimpleNode

      `children, id, parent, parser`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ASTPathExprTail(int id)`
    `protected` | `ASTPathExprTail(SyntaxTreeBuilder p, int id)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract ASTPathExprTail` | `getNextTail()` Gets the path epxression tail following this part of the path expression, if any.
    `boolean` | `hasNextTail()`
    `boolean` | `isBranch()`
    `void` | `setBranch(boolean isBranch)`
    `String` | `toString()`

    - ### Methods inherited from class org.eclipse.rdf4j.query.parser.serql.ast.SimpleNode

      `childrenAccept, dump, dump, jjtAccept, jjtAddChild, jjtAppendChild, jjtClose, jjtGetChild, jjtGetChild, jjtGetChildren, jjtGetChildren, jjtGetNumChildren, jjtGetParent, jjtInsertChild, jjtOpen, jjtReplaceChild, jjtReplaceWith, jjtSetParent, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ASTPathExprTail

          protected ASTPathExprTail(int id)

    - #### ASTPathExprTail

          protected ASTPathExprTail(SyntaxTreeBuilder p,
                                    int id)

  - ### Method Detail

    - #### isBranch

          public boolean isBranch()

    - #### setBranch

          public void setBranch(boolean isBranch)

    - #### hasNextTail

          public boolean hasNextTail()

    - #### getNextTail

          public abstract ASTPathExprTail getNextTail()

      Gets the path epxression tail following this part of the path expression, if any.
      Returns:
        The next part of the path expression, or `null` if this is the last part of the path expression.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `SimpleNode`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.